<div class="mlQuestionText">
    <p>Sklop u prvom primjeru (<b>primjer 1</b>) demonstrira jedan od načina rada sekvencijskih sklopova. Ispitajte na
        koji način ovaj sklop radi, a zatim odgovorite na ponuđena pitanja.
    </p>
</div>
<br>

<div id="staticSR">
    <p align="center">
        <canvas id="AsyncSR" width="350px" height="300px"></canvas>
    </p>
</div>
<br>

<h3 style="color:firebrick"><b>Pitanje 1.</b></h3>
<p>Sklop s <b>primjera 1</b> je:</p>
<form>
    <input title="Asinkroni sklop" name="question1"
           type="radio" id="ans1-1"> Asinkroni sklop<br>
    <input title="Sinkroni sklop" name="question1"
           type="radio" id="ans1-2"> Sinkroni sklop<br>

</form>
<br>

<h3 style="color:firebrick"><b>Pitanje 2.</b></h3>
<p>Sklop s <b>primjera 1</b>:</p>

<form>
    <input name="question2" title="Rastući brid" type="radio"
           id="ans2-1"> Djeluje na rastući brid signala takta, <b>CP</b>-a<br>
    <input name="question2" title="Padajući brid" type="radio"
           id="ans2-2"> Djeluje na padajući brid signala takta, <b>CP</b>-a<br>
    <input name="question2" title="Ne djeluje na signal takta" type="radio"
           id="ans2-3"> Ne ovisi o signalu takta, <b>CP</b>-u<br>
    <input name="question2" title="Visoka razina" type="radio"
           id="ans2-4"> Djeluje na visoku razinu signala takta, <b>CP</b>-a<br>
    <input name="question2" title="Niska razina" type="radio"
           id="ans2-5"> Djeluje na nisku razinu signala takta,
    <b>CP</b>-a<br>
</form>
<br>

<p style="color: seagreen">Kada ste gotovi stisnite gumb "nastavi" kako bi provjerili svoje odgovore.</p>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(question1Simulation.js)*/
    /*@#page-include#(libTasks.js)*/
    let configuration = /*@#raw-text#(jsinitdata)*/;
    let questions = 2;
    initStartingValues(configuration, questions);

    function questionCollectUserData() {
        let numOfQuestions = 2;
        let data = collectData(numOfQuestions);
        return {
            answers: data.answers,
            answered: data.answered
        }
    }
</script>
<br>
